Bug 201443 - toggle_plplot_use seems to have problem finding functions in specified directory
toggle_plplot_use seems to have problem finding functions in specified directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: plplot (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-05 09:25 EDT by Hesty
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.6.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 17:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hesty 2006-08-05 09:25:53 EDT
Description of problem:
toggle_plplot_use spits out error when used.

Version-Release number of selected component (if applicable):
octave.i386                              6:2.9.7-1.fc5              installed
octave-forge.i386                    2006.07.09-3.fc5        installed
plplot-octave.i386                    5.6.1-1.fc5                  installed


How reproducible:
Always.

Steps to Reproduce:
1. Start octave, enter octave:1> toggle_plplot_use.
2. If you don't have LOADPATH, it'll complain. So add
LOADPATH="/usr/share/plplot_octave//:" in ~/.octaverc.
3. Restart octave and run toggle_plplot_use again.
  
Actual results:
octave:1> toggle_plplot_use
error: `plplot_stub' undefined near line 43 column 3
error: evaluating if command near line 41, column 1
error: near line 46 of file `/usr/share/octave/site/m/PLplot/toggle_plplot_use.m'
octave:1> LOADPATH
LOADPATH = /usr/share/plplot_octave//::
octave:2> use_plplot_path
use_plplot_path = /usr/share/plplot_octave//

Expected results:
Looking into the function /usr/share/octave/site/m/PLplot/toggle_plplot_use.m,
if everything goes well, it should say: "Use PLplot: on".

Additional info:
Comment 1 Quentin Spencer 2006-08-07 09:37:22 EDT
The LOADPATH variable has been removed from octave as of 2.9.7 in order to be
more compatible with MATLAB's path handling functions. The plplot scripts need
to be updated to use the new scheme, which includes the functions addpath and
rmpath.
Comment 2 Orion Poplawski 2006-08-07 17:39:50 EDT
This should be fixed with 5.6.1-2

Note You need to log in before you can comment on or make changes to this bug.